Subject: American Chestnut Foundation

From: [email-masked] (Tom Pugel)
Date: Wed, 21 Aug 1996 10:45:48

The American Chestnut Foundation is an organization dedicated to the 
restoration of the American chestnut tree and to reforesting the eastern 
hardwoods with a blight free tree.   Located at 469 Main St. P.O.Box 4044  
Bennington, Vt. 05201-4044